org.apache.tools.ant.taskdefs.cvslib

## Class ChangeLogWriter

- java.lang.Object
- - org.apache.tools.ant.taskdefs.cvslib.ChangeLogWriter

-     public class ChangeLogWriter
      extends java.lang.Object

  Class used to generate an XML changelog.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeLogWriter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `printChangeLog(java.io.PrintWriter output, CVSEntry[] entries)` Print out the specified entries.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeLogWriter

          public ChangeLogWriter()

  - ### Method Detail

    - #### printChangeLog

          public void printChangeLog(java.io.PrintWriter output,
                            CVSEntry[] entries)

      Print out the specified entries.
      Parameters:
        `output` - writer to which to send output.
        `entries` - the entries to be written.